> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Moderations Check

> Gets information on whether the user input contains any intent that is sexual, hatred, harassment, self-harm or violent in nature.



## OpenAPI

````yaml post /moderations
openapi: 3.0.1
info:
  title: api.domain.ai
  version: v1
servers:
  - url: https://api.hyperleapai.com
security:
  - ApiKeyAuth: []
paths:
  /moderations:
    post:
      tags:
        - Moderations
      summary: Moderations Check
      description: >-
        Gets information on whether the user input contains any intent that is
        sexual, hatred, harassment, self-harm or violent in nature.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenAiModerationsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/OpenAiModerationsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/OpenAiModerationsRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    OpenAiModerationsRequest:
      type: object
      properties:
        input:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-hl-api-key

````